Bug 726653 - Xorg crash after chvt 1
Xorg crash after chvt 1
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE 12.2
Classification: openSUSE
Component: X.Org
Final
All openSUSE 12.2
: P2 - High : Critical (vote)
: Final
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 15:44 UTC by Bernhard Wiedemann
Modified: 2014-05-22 12:37 UTC (History)
2 users (show)

See Also:
Found By: System Test
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2011-10-26 15:44:28 UTC
Xorg segfaults after installation completed
last line in yast2 log has
chvt 1

for the user, this looks like
http://openqa.opensuse.org/viewimg/opensuse/testresults/openSUSE-DVD-i586-Build0002/livecdreboot-1.png
with the last message stating "Trying to load installed kernel via kexec"

this was originally mixed with bug 723777 because it had slightly similar backtrace (apart from the missing evdev part)

However, this still occurs in RC1 where bug 723777 is supposed to be fixed
the old backtrace with debug is in
https://bugzillafiles.novell.org/attachment.cgi?id=456724
Comment 1 Andreas Jaeger 2011-11-05 08:34:15 UTC
Segfault -> Critical.
Comment 2 Simcha-Yitzchak Lerner 2012-01-15 06:15:59 UTC
I am seeing a similar problem when installing the released 64-bit version of 12.1 from DVD.

My original installation, which was using the Sandy Bridge internal GMA HD 2000 Graphics (from an i7-2600 CPU on an Intel DH67BL motherboard) installed without a problem.

When I added a Zotac graphics card based on the Nvidia GeForce GT 240 chipset, I  started having install problems, with the last line shown being "Trying to load installed kernel via kexec".  (I didn't check what the last line in the yast2 log was.)

FWIW, With this video card, I had to add nomodeset when booting with the nouveau driver to avoid getting a scrambled video display.  This problem went away when I installed Nvidia's driver.  No idea if this is in any way related, but I'm mentioning it in case it's of use.

Also, a workaround (ctrl-alt-del) that leaves orphaned inodes during an install does not instill confidence.  

Is there any way to prevent installation from using kexec and doing a normal reboot instead?
Comment 3 Joschi Brauchle 2012-12-03 14:35:27 UTC
I am having the same problem with the installation of openSUSE 12.2 (final).

The machine that is causing problems has a AMD FirePro V3900 graphics card, in contrast, other machines with AMD FirePro V3800 do not exhibit this problem.

Adding "nomodeset" when booting is a workaround. 

Still, it would be nice to have a DUD for 12.2 that fixes the problem...
Comment 4 Joschi Brauchle 2012-12-03 16:16:08 UTC
I compared /var/log/Xorg.0.log between the two machines:

The Xserver one the working one (FirePro V3800) uses the fbdevhw driver with the radeon kernel module, whereas the crashing one (FirePro V3900) uses the vesa driver (as fbdev fails to start).

The vesa driver then seems to crash or hang when switching terminals...
Comment 5 Stefan Dirsch 2014-05-22 12:37:42 UTC
openSUSE 12.2 is no longer supported. Hence the issue won't be fixed for this product. In case the issue still is reproducable with a supported product (openSUSE 12.3/13.1 at the moment) or with openSUSE:Factory, please feel free to reopen. Thanks.